package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.ObjHaz;

/**
 * 危险源对象 服务层
 */
public interface IObjHazService {

    /**
     * 查询危险源对象信息
     * @param guid 查询条件
     * @return 危险源对象信息
     */
    ObjHaz selectObjHazByGuid(String guid);

    /**
     * 查询危险源对象列表
     * @param objHaz 危险源对象查询条件
     * @return 危险源对象集合
     */
    List<ObjHaz> selectObjHazList(ObjHaz objHaz);

    /**
     * 新增危险源对象
     * @param objHaz 危险源对象信息
     * @return 影响行数
     */
    int insertObjHaz(ObjHaz objHaz);

    /**
     * 修改危险源对象
     * @param objHaz 危险源对象信息
     * @return 影响行数
     */
    int updateObjHaz(ObjHaz objHaz);

    /**
     * 删除危险源对象
     * @param guid 危险源对象主键
     * @return 影响行数
     */
    int deleteObjHazByGuid(String guid);

    /**
     * 批量删除危险源对象
     * @param guids 危险源对象主键数组
     * @return 影响行数
     */
    int deleteObjHazByGuids(String[] guids);
}
